CVE-2020-13904

MEDIUM

Description

FFmpeg 2.8 and 4.2.3 has a use-after-free via a crafted EXTINF duration in an m3u8 file because parse_playlist in libavformat/hls.c frees a pointer, and later that pointer is accessed in av_probe_input_format3 in libavformat/format.c.

References

https://github.com/FFmpeg/FFmpeg/commit/6959358683c7533f586c07a766acc5fe9544d8b2

https://lists.debian.org/debian-lts-announce/2020/07/msg00022.html

https://patchwork.ffmpeg.org/project/ffmpeg/patch/[email protected]/

https://security.gentoo.org/glsa/202007-58

https://trac.ffmpeg.org/ticket/8673

https://usn.ubuntu.com/4431-1/

https://www.debian.org/security/2020/dsa-4722

Details

Source: MITRE

Published: 2020-06-07

Updated: 2021-01-04

Type: CWE-416

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 5.5

Vector: CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Vulnerable Software

Configuration 1

OR

cpe:2.3:a:ffmpeg:ffmpeg:4.2.3:*:*:*:*:*:*:*

Tenable Plugins

View all (4 total)

IDNameProductFamilySeverity
139121GLSA-202007-58 : FFmpeg: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
139008Debian DLA-2291-1 : ffmpeg security updateNessusDebian Local Security Checks
high
138875Ubuntu 16.04 LTS / 18.04 LTS / 20.04 : FFmpeg vulnerabilities (USN-4431-1)NessusUbuntu Local Security Checks
critical
138365Debian DSA-4722-1 : ffmpeg - security updateNessusDebian Local Security Checks
critical